## transrate-tools 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

enable_testing()

project (transrate-tools)

set(CPACK_PACKAGE_VERSION "1.0.0")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_PACKAGE_VENDOR "Hibberd Lab @ University of Cambridge")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "transrate-tools - alignment parsing for transrate")
set(CPACK_PACKAGE_NAME
  "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-Source")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS)

## Set the standard required compile flags
set (CMAKE_CXX_FLAGS "-fPIC -O3 -DHAVE_ANSI_TERM -DHAVE_SSTREAM -DHAVE_CONFIG_H -Wall -std=c++11")
set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")

##
# Record this top-level path
##
set (GAT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Have CMake tell us what it's doing
set (CMAKE_VERBOSE_MAKEFILE true)

if("${CMAKE_SYSTEM}" MATCHES "Linux")
  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
endif("${CMAKE_SYSTEM}" MATCHES "Linux")

if(APPLE)
  find_package (ZLIB REQUIRED)
else()
  find_package (ZLIB REQUIRED STATIC)
endif()

# Recurse into transrate-tools source directory
add_subdirectory ( src )

=== src/CMakeLists.txt ===
set(BAMREAD_SRCS bam-read.cpp pileup.cpp segmenter.cpp)
set(BAMREAD_HEADERS pileup.h segmenter.h)


include_directories(${GAT_SOURCE_DIR}/bamtools/include)
link_directories(${GAT_SOURCE_DIR}/bamtools/lib)

set(LIBRARIES ${GAT_SOURCE_DIR}/bamtools/lib/libbamtools.a ${ZLIB_LIBRARIES})

add_executable(bam-read ${BAMREAD_SRCS} ${BAMREAD_HEADERS})

set_target_properties(bam-read PROPERTIES LINK_SEARCH_START_STATIC 1)
set_target_properties(bam-read PROPERTIES LINK_SEARCH_END_STATIC 1)
target_link_libraries(bam-read ${LIBRARIES})

=== debian/changelog ===
transrate-tools (1.0.0-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 21:57:59 +0100

transrate-tools (1.0.0-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 08:03:09 +0200

transrate-tools (1.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * Update metadata with ref to conda

  [ Pranav Ballaney ]
  * Add test data
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 25 May 2020 09:45:14 +0200

transrate-tools (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed watch file
  * cme fix dpkg-control
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 22:39:11 +0200

transrate-tools (1.0.0-1) unstable; urgency=low

  * Team upload.

  [ Michael R. Crusoe ]
  * Initial release (Closes: #800412)

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Sep 2015 20:03:17 +0900

=== debian/control ===
Source: transrate-tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbamtools-dev,
               zlib1g-dev,
               help2man
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/transrate-tools
Vcs-Git: https://salsa.debian.org/med-team/transrate-tools.git
Homepage: https://hibberdlab.com/transrate/
Rules-Requires-Root: no

Package: transrate-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: helper for transrate
 Transrate is a library and command-line tool for quality assessment of de-novo
 transcriptome assemblies.
 .
 This package provides command line tools used by transrate to process BAM
 files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	help2man --no-info --include debian/bam-read-man-include \
	       obj*/src/bam-read > debian/bam-read.1

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/blahah/transrate-tools/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
